summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJohannes Dewender2013-02-18 19:22:33 +0100
committerJohannes Dewender2013-02-18 19:22:33 +0100
commit172ac269502e878dacf548d620f02ff15eb9b148 (patch)
treeb873f9750f2583162b0a0f324e1b7d4b8a61437b /PKGBUILD
parent42b574fcfcd8418220e91d80f4a7592c1b85f0a9 (diff)
downloadaur-172ac269502e878dacf548d620f02ff15eb9b148.tar.gz
cccc: patch for gcc 4.7
Additionally gcc-libs added to depends as wanted by namcap. Parallel make building disabled with "-j 1".
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD14
1 files changed, 10 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6d5bbcb0e14..c2cc14b82f0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,21 +1,27 @@
# Contributor: Johannes Dewender arch at JonnyJD dot net
pkgname=cccc
pkgver=3.1.4
-pkgrel=1
+pkgrel=2
pkgdesc="C and C++ Code Counter, code metrics also for Ada and Java files"
arch=('i686' 'x86_64')
url="http://cccc.sourceforge.net/"
+depends=('gcc-libs')
license=('GPL')
-source=(http://downloads.sourceforge.net/sourceforge/cccc/$pkgname-$pkgver.tar.gz)
-md5sums=('7bd3ad868913a0beab2fde931737f928')
+source=(http://downloads.sourceforge.net/sourceforge/cccc/$pkgname-$pkgver.tar.gz
+gcc47.patch)
+md5sums=('7bd3ad868913a0beab2fde931737f928'
+ 'e1d2cb39fcac3f3c14eaff4f1e8f2825')
build() {
cd "$srcdir/$pkgname-$pkgver"
+
sed -e 's/su root -c "make -f install.mak"/make -f install.mak/' \
-i makefile || return 1
sed -e 's:/usr/local/bin:'$pkgdir'/usr/bin:' \
-e 's/\$(MKDIR)/\$(MKDIR) -p/' -i install/install.mak || return 1
- make || return 1
+ patch -p1 < ../gcc47.patch
+
+ make -j 1 || return 1
make DESTDIR="$pkgdir/" install
}